# Changelog
All notable changes to this project will be documented in this file.

## [Unreleased]

## [0.11.0] - 2024-01-18
Supported versions:
- firmware 0.11.0
- protocol 0.11.0

### Added
- `cmd-set-network-delay` Command used to change anchor network start-up delay in seconds.

## [0.10.0] - 2023-12-20
Supported versions:
- firmware 0.10.0
- protocol 0.10.0

### Added:
- `cmd-set-random-period` Command used to change tags reporting period in random frequency mode to new value expressed in seconds

### Changed:
- Extended parsing of the ACP Admin Distribution type to include slow tags list.

## [0.8.0] - 2023-11-27

### Added:
- `cmd-set-network-config` Command to set network device parameters like primary seat, frequency, seat allocation method and device type
- Support for factory reset of settings.
- `cmd-blink-immediately` Command to blink Anchor LEDs immediately (in next cycle)

### Removed:
- Commands related to seats administration

## [0.6.2] - 2023-10-13
Supported versions:
- firmware 0.6.2
- protocol 0.6.1

### Added:
- `list_usb` command for listing devices only on USB CDC
- `cmd-set-seat-fast` command used to perform fast seat allocation (opcode 255)

### Fixed:
- Adjusted BLE discovered devices filtration rules to prevent accessing manufacturer data in case of no AIRTLS devices, that resulted in backend crashing.
- ACP socket receiver console clear not working on a Windows PC.

## [0.6.1] - 2023-10-06
Supported versions:
- firmware 0.6.1
- protocol 0.6.0

### Added
- ACP Board config 

## [0.6.0] - 2023-10-04
Supported versions:
- firmware 0.6.0
- protocol 0.6.0

### Fixed
- Unpacking frames - Multiple ACP frames in single interface buffer

### Changed
- ACP Protocol - parsing sensors data (to X,Y,Z axis)
- BitStitching - No 8bit header in sensor samples
- Time of Flight (ToF) data frame - Added IMU data
- Admin distribution data frame - Added HIT field

### Added
- UDP Socket transmitter/receiver
- Impact data frame

## [0.5.0] - 2023-09-15
Supported versions:
- firmware 0.5.0
- protocol 0.5.0

### Changed
- ACP TLV ToF Frame format

### Fixed
- Issue with multiple TLV packets in single notification on BLE 

## [0.4.0] - 2023-08-31
Supported versions:
- firmware 0.4.0
- protocol 0.4.0

### Added
- ACP Command set UWB config
- ACP Command set seat 25Hz
- ACP Command set seat 50Hz

## [0.3.2] - 2023-08-25
Supported versions:
- firmware 0.3.1
- protocol 0.3.0

### Changed
- BLE name update (name based on hardware ID)
- Updated LED Blink shell interface - It is possible to blink with remote anchor

## [0.3.1] - 2023-08-23
Supported versions:
- firmware 0.3.0
- protocol 0.3.0

### Changed
- Updated LED Blink shell interface - if cycle ID is set to 0 device will blink immidietelly
- Updated LED Blink shell interface - renamed preset -> pattern

## [0.3.0] - 2023-08-22
Supported versions:
- firmware 0.3.0
- protocol 0.3.0

### Changed
- Updated LED Blink protocol

## [0.2.1] - 2023-08-16
Supported versions:
- firmware 0.2.1
- protocol 0.2.0

### Fixed
- Accelerometer/Gyroscope sample length (acc 19b / gyro 18b) -> (acc 18b / gyro 19b)

## [0.2.0] - 2023-08-11
Supported versions:
- firmware 0.2.0
- protocol 0.2.0

### Added
- Changes to administration data offload packet as introduced in protocol documentation
- Receiver and parser for uncompressed, bit stitched IMU data
- Receiver and parser for custom serial data frames

## [0.1.0] - 2023-08-02
Initial library release.  
Supported versions:
- firmware 0.1.0
- protocol 0.1.0

